Infer a mesa trade from an operation
curl --request GET \
--url https://api.finsync.ar/api/mesas/{id}/infer \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/mesas/{id}/infer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/mesas/{id}/infer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/mesas/{id}/infer"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"operationId": 88,
"suggestion": {
"side": "buy",
"localAmount": 125000,
"quoteAmount": 100,
"fx": 1250,
"fallback": false
},
"legs": []
}{
"error": "Mesas module not enabled for this company",
"code": "MESAS_DISABLED"
}Mesas
Infer a mesa trade from an operation
Suggests side / localAmount / fx from completed non-commission legs. Pass operation_id as a query param (GET or POST) or in the POST body.
GET
/
api
/
mesas
/
{id}
/
infer
Infer a mesa trade from an operation
curl --request GET \
--url https://api.finsync.ar/api/mesas/{id}/infer \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/mesas/{id}/infer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.finsync.ar/api/mesas/{id}/infer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/mesas/{id}/infer"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"operationId": 88,
"suggestion": {
"side": "buy",
"localAmount": 125000,
"quoteAmount": 100,
"fx": 1250,
"fallback": false
},
"legs": []
}{
"error": "Mesas module not enabled for this company",
"code": "MESAS_DISABLED"
}